Brivio API reference
Delivery routes

List delivery routes, newest first (scope: delivery:read)

GET
/delivery-routes

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Query Parameters

page?integer
perPage?integer
status?string
Value in"DRAFT""PLANNED""DISPATCHED""IN_PROGRESS""COMPLETED""CANCELLED"
date_from?string

route_date on or after (YYYY-MM-DD)

Formatdate
date_to?string

route_date on or before (YYYY-MM-DD)

Formatdate

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/delivery-routes"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "number": "string",      "name": "string",      "status": "DRAFT",      "route_date": "2019-08-24T14:15:22Z",      "start_location_id": "7694f743-6daf-4514-8e49-2c201e61b66d",      "start_address": {},      "start_latitude": 0,      "start_longitude": 0,      "round_trip": true,      "vehicle_id": "e57c411b-caf2-4a2e-b2e8-e232824b6ddf",      "driver_id": "d13674cc-89e2-4383-beab-46a9e6e4a9b2",      "capacity_kg": 0,      "capacity_parcels": 0,      "total_distance_km": 0,      "total_duration_minutes": 0,      "optimized_at": "2019-08-24T14:15:22Z",      "optimizer": "string",      "dispatched_at": "2019-08-24T14:15:22Z",      "started_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "gate_visit_id": "75f6ef13-3183-433b-95d7-bbf0a6ac5bf4",      "notes": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}